/*
    Title:    AVR-GCC test program #1 for the STK200 eva board
    Author:   Volker Oth
    Date:     4/1999
    Purpose:  Flashes the LEDs on Port B with a hard coded delay loop
    needed
    Software: AVR-GCC
    needed
    Hardware: ATS90S8515/8535/2313/mega on STK200/STK300 board
    Note:     To contact me, mail to
                  volkeroth(at)gmx.de
*/

#include <io.h>

typedef unsigned char  u08;

int main( void )
{
   u08 led, i, j, k;

   outp(0xff,DDRB);            /* use all pins on PortB for output */

   led = 1;                    /* init variable representing the LED state */

   for (;;) {
       outp(~led, PORTB);      /* invert the output since a zero means: LED on */
       led <<= 1;              /* move to next LED */
       if (!led)               /* overflow: start with Port B0 again */
           led = 1;
       for (i=0; i<255; i++)   /* outer delay loop */
           for(j=0; j<255;j++) /* inner delay loop */
               k++;            /* just do something - could also be a NOP */
   }
}
